
from Products.CMFCore.utils import getToolByName


def install(self, reinstall=0):
    '''Installs the UnicodeLexicon.'''

    setup = getToolByName(self, 'portal_setup')
    saved = setup.getImportContextID()

    if not reinstall:
        snapshot_id = setup._mangleTimestampName('before_unicodelexicon')
        setup.createSnapshot(snapshot_id)

    try:
        setup.setImportContext('profile-Products.UnicodeLexicon:default')
        setup.runImportStep('unicodelexicon', run_dependencies=True)
    finally:
        setup.setImportContext(saved)

    return 'Successfully installed UnicodeLexicon.'

